{% extends "shuup/front/dashboard/dashboard.jinja" %}
{% from "shuup_wishlist/macros.jinja" import render_wishlists_page %}
{% block title -%}{{ _("Wishlist") }}{%- endblock %}

{% block breadcrumb %}
    {% call macros.breadcrumb() %}
        {{ macros.render_breadcrumb_item("/", _("Home")) }}
        {{ macros.render_breadcrumb_item(url("shuup:dashboard"), _("Dashboard")) }}
        {{ macros.render_breadcrumb_item(None, _("Wishlist"), True) }}
    {% endcall %}
{% endblock %}

{% block dashboard_content %}
     {{ render_wishlists_page(customer_wishlists) }}
{% endblock %}

{% macro render_wishlists_page(wishlists, show_customer_name=False) %}
    <h1>{% trans %}Wishlist{% endtrans %}</h1>
    <br>
    <div class="well {% if not wishlists %} hidden {% endif %}">
       <div class="table-responsive">
           <table id="customer-wishlists" class="table table-striped">
               <thead>
                   <tr>
                       <th>{{ _('Wishlist Name') }}</th>
                       {% if show_customer_name %}<th>{{ _('Customer') }}</th>{% endif %}
                       <th class="text-right">{{ _('Number of Items') }}</th>
                       <th></th>
                   </tr>
               </thead>
               <tbody>
                   {% for wishlist in wishlists %}
                       <tr>
                           <td>{{ wishlist.name }}</td>
                           {% if show_customer_name %}<td>{{ wishlist.customer.name }}</td>{% endif %}
                           <td class="text-right">{{ wishlist.product_count }}</td>
                           <td class="text-right">
                               <a href="{{ url("shuup:wishlist_detail", pk=wishlist.pk) }}">
                                   <i class="fa fa-search"></i> {% trans %}Details{% endtrans %}
                               </a>
                           </td>
                       </tr>
                   {% endfor %}
               </tbody>
           </table>
       </div>
    </div>
    {% if not wishlists %}
       <p id="no-wishlists-found" class="lead">
           <i class="fa fa-info-circle text-info"></i> {% trans %}No wishlists found.{% endtrans %}
       </p>
    {% endif %}
{% endmacro %}
